Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.beans.metadata.spi
Interface ValueMetaData

All Superinterfaces:
  Cloneable, org.jboss.util.JBossInterface, MetaDataVisitorNode

All Known Implementing Classes:
  AbstractValueMetaData

public interface ValueMetaData
extends org.jboss.util.JBossInterface, MetaDataVisitorNode

Metadata about a value.

Version:
  $Revision: 1.7 $
Author:
  Adrian Brock

Method Summary
`Object` | `getUnderlyingValue()` Get the underlying value
`Object` | `getValue(org.jboss.reflect.spi.TypeInfo info, ClassLoader cl)` Get the value.

Methods inherited from interface org.jboss.util.JBossInterface
`clone, toShortString, toShortString`

Methods inherited from interface org.jboss.beans.metadata.spi.MetaDataVisitorNode
`getChildren, visit`

Method Detail

### getUnderlyingValue

    public Object getUnderlyingValue()

  Get the underlying value

  Returns:
    the underlying value

### getValue

    public Object getValue(org.jboss.reflect.spi.TypeInfo info,
                           ClassLoader cl)
                    throws Throwable

  Get the value.

  Parameters:
    `info` - the type info
    `cl` - the classloader
  Returns:
    the value.
  Throws:
    `Throwable` - for any error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.